Comment 2 for bug 1627808

drwt (6lobe) wrote : Re: e10s support

Considering the next version of Firefox (50) to be released 2016-11-08 will have e10s enabled for all compatible extensions, it would be good to have this addon compatible by then or all Ubuntu users will be left out.

See: https://wiki.mozilla.org/Electrolysis#Add-ons_Schedule